Page MenuHomePhabricator

Read only time window needed for enwiki
Closed, ResolvedPublic

Description

We'd like to request a 30 minutes read-only time window for the following wiki to performance maintenance on its primary database master:

s1:

enwiki

Impact: enwiki go read-only for around 30 minutes (hopefully a lot less). Reads will not be impacted
When: Thu 21th May at 05:00 AM UTC

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2020, 7:49 AM
Trizek-WMF triaged this task as High priority.May 19 2020, 2:33 PM

Banners set.

@Kaartic, I know that you are very efficient at posting reminders on wikis! :) Have you already posted some reminders on English Wikipedia?

@Kaartic, I know that you are very efficient at posting reminders on wikis! :) Have you already posted some reminders on English Wikipedia?

Yeah, I did post an intimation about this on "Village pump#Technical". I'm planning to post a reminder there, tomorrow (20May2020) around 10:30 A.M UTC.

I'm a little confused about the approximate duration of the operation. This task says the read only time would be around 30 minutes. The other one related to this (T251982) says the read-only time would be around 15 minutes. Which one should I trust?

Let's do 30 minutes. I will fix the other one.
Thank you!

Ok, done! I've posted the reminder at enwiki VPT.

DannyS712 added a comment.EditedMay 21 2020, 4:55 AM

The CentralNotice is also showing up for me on

  • arzwiki
  • eswiki
  • frwiki
  • htwiki
  • simplewiki

And more. Is it supposed to only be enwiki?

Some basic testing suggests that, while this is only enabled for english on the wikipedia project, it is shown on all wikipedias when displaying in English, and not on enwiki when displaying in French, etc.

All done - not closing this task, leaving that for @Trizek-WMF

RO starts: 05:00:30
RO stops: 05:03:28

The CentralNotice is also showing up for me on

  • arzwiki
  • eswiki
  • frwiki
  • htwiki
  • simplewiki

And more. Is it supposed to only be enwiki?

Some basic testing suggests that, while this is only enabled for english on the wikipedia project, it is shown on all wikipedias when displaying in English, and not on enwiki when displaying in French, etc.

It was only enwiki this time, yes.

Agusbou2015 closed this task as Resolved.May 21 2020, 12:32 PM

@Agusbou2015: Did you see the previous comment ("not closing this task, leaving that for @Trizek-WMF")?

Agusbou2015 reopened this task as Open.May 21 2020, 10:31 PM
Trizek-WMF closed this task as Resolved.May 25 2020, 2:37 PM